summary refs log tree commit diff stats
path: root/user/unstow-all
diff options
context:
space:
mode:
Diffstat (limited to 'user/unstow-all')
-rwxr-xr-xuser/unstow-all11
1 files changed, 11 insertions, 0 deletions
diff --git a/user/unstow-all b/user/unstow-all
new file mode 100755
index 00000000..3e56fd31
--- /dev/null
+++ b/user/unstow-all
@@ -0,0 +1,11 @@
+#!/usr/bin/env zsh
+
+set -euo pipefail
+
+echo "Checking if all packages can be unstowed"
+./stow -Dn --ignore="tabnine_config\.json" *(/)
+
+echo "Unstowing!"
+./stow -D --ignore="tabnine_config\.json" *(/)
+
+rmdir ~/.config/nixpkgs || echo "Could not remove nixpkgs directory. Remove it manually before running the installer."